#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		jname		%(echo %{name} | cut -d '-' -f2)
%define		pname		%(echo %{name} | cut -d '-' -f3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1 )
#-----------------------------------------------------------------------------
Name		:	perl-JSON-PP
Version		:	4.16
Release		:	17.2.0.rel%{?dist}
Summary		:	JSON::XS compatible pure-Perl module

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/JSON::PP

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	coreutils
BuildRequires	:	findutils
BuildRequires	:	make
BuildRequires	:	perl

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
JSON::XS is the fastest and most proper JSON module on CPAN.
It is written by Marc Lehmann in C, so must be compiled and
installed in the used environment.
 
JSON::PP is a pure-Perl module and is compatible with JSON::XS

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root, -)
%doc README
%{_bindir}/json_pp
%{_datadir}/perl5/core_perl/%{jname}/%{pname}.pm
%{_datadir}/perl5/core_perl/%{jname}/%{pname}/*.pm
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

export PERL_MM_USE_DEFAULT=1
%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%changelog

